GET
/v1/auth/me/history

Authorization

Descope Project ID:Refresh JWT
AuthorizationBearer <token>

Project ID:Refresh JWT as bearer token.

In: header

Get user's session history

This API Endpoint will return the current user's session history including geo-location and IP address. This endpoint requires the user to be signed in and have a valid refreshJwt. The refreshJwt is then used as part of the Authorization Bearer to perform this task.

curl -X GET "https://api.descope.com/v1/auth/me/history"
[  {    "userId": "string",    "loginTime": 0,    "city": "string",    "country": "string",    "ip": "string",    "selectedTenant": "string"  }]
export type Response = {userId?: stringloginTime?: numbercity?: stringcountry?: stringip?: stringselectedTenant?: string}[]
Was this helpful?